lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Drob (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SOLR-8885) Update JS lib versions
Date Tue, 22 Mar 2016 20:47:25 GMT

     [ https://issues.apache.org/jira/browse/SOLR-8885?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Mike Drob updated SOLR-8885:
----------------------------
    Description: 
We are currently using some old versions of various JS libraries. Here are the ones I could
track down:

||Library||Our Version||Latest||Notes||
|d3.js|2.8.1|2.10.3/3.5.16|https://github.com/mbostock/d3/wiki/Upgrading-to-3.0|
|jQuery|1.7.2|1.11.0/2.1.0| |
|jQuery BlockUI|2.39.0|2.70.0| |
|jQuery Sammy|0.6.2|0.7.4| |
|ZeroClipboard|1.0.7|1.3.5/2.2.0| |
|jQuery TimeAgo|0.9.3|1.5.2| |
|jQuery Form|2.47|3.51| |

Some of these might break compatibility, so they are probably not drop in replacements, but
I think we can get improved speed on the UI from a lot of these updated versions.

  was:
We are currently using some old versions of various JS libraries. Here are the ones I could
track down:

||Library||Our Version||Latest||Notes||
|d3.js|2.8.1|2.10.33.5.16|https://github.com/mbostock/d3/wiki/Upgrading-to-3.0|
|jQuery|1.7.2|1.11.0/2.1.0| |
|jQuery BlockUI|2.39.0|2.70.0| |
|jQuery Sammy|0.6.2|0.7.4||
|ZeroClipboard|1.0.7|1.3.5/2.2.0||
|jQuery TimeAgo|0.9.3|1.5.2||
|jQuery Form|2.47|3.51||

Some of these might break compatibility, so they are probably not drop in replacements, but
I think we can get improved speed on the UI from a lot of these updated versions.


> Update JS lib versions
> ----------------------
>
>                 Key: SOLR-8885
>                 URL: https://issues.apache.org/jira/browse/SOLR-8885
>             Project: Solr
>          Issue Type: Bug
>          Components: UI
>            Reporter: Mike Drob
>
> We are currently using some old versions of various JS libraries. Here are the ones I
could track down:
> ||Library||Our Version||Latest||Notes||
> |d3.js|2.8.1|2.10.3/3.5.16|https://github.com/mbostock/d3/wiki/Upgrading-to-3.0|
> |jQuery|1.7.2|1.11.0/2.1.0| |
> |jQuery BlockUI|2.39.0|2.70.0| |
> |jQuery Sammy|0.6.2|0.7.4| |
> |ZeroClipboard|1.0.7|1.3.5/2.2.0| |
> |jQuery TimeAgo|0.9.3|1.5.2| |
> |jQuery Form|2.47|3.51| |
> Some of these might break compatibility, so they are probably not drop in replacements,
but I think we can get improved speed on the UI from a lot of these updated versions.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message